<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'buyesrfolio',

    /*
     * Package.
     */
    'package'   => 'claim',

    /*
     * Modules.
     */
    'modules'   => ['claim'],

    
    'claim'       => [
        'model' => [
            'model'                 => \Buyesrfolio\Claim\Models\Claim::class,
            'table'                 => 'claims',
            'presenter'             => \Buyesrfolio\Claim\Repositories\Presenter\ClaimPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'business_id',  'alias',  'name',  'image_url',  'is_claimed',  'is_closed',  'url',  'phone',  'display_phone',  'review_count',  'categories',  'rating',  'location',  'city',  'latitude',  'longitude',  'coordinates',  'photos',  'hours',  'transactions',  'messaging',  'otp',  'otp_generated_time',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'claim/claim',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Buyesrfolio',
            'package'   => 'Claim',
            'module'    => 'Claim',
        ],

    ],
];
