<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateClaimsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: claims
         */
        Schema::create('claims', function ($table) {
            $table->increments('id');
            $table->text('business_id')->nullable();
            $table->text('alias')->nullable();
            $table->text('name')->nullable();
            $table->text('image_url')->nullable();
            $table->text('is_claimed')->nullable();
            $table->text('is_closed')->nullable();
            $table->text('url')->nullable();
            $table->text('phone')->nullable();
            $table->text('display_phone')->nullable();
            $table->integer('review_count')->nullable();
            $table->text('categories')->nullable();
            $table->integer('rating')->nullable();
            $table->text('location')->nullable();
            $table->string('city', 30)->nullable();
            $table->float('latitude')->nullable();
            $table->float('longitude')->nullable();
            $table->text('coordinates')->nullable();
            $table->text('photos')->nullable();
            $table->text('hours')->nullable();
            $table->text('transactions')->nullable();
            $table->text('messaging')->nullable();
            $table->string('otp', 10)->nullable();
            $table->timestamp('otp_generated_time')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('claims');
    }
}
