<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('claim::claim.name') !!} <small> {!! trans('app.manage') !!} {!! trans('claim::claim.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('claim::claim.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='claim-claim-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('claim/claim')!!}">{!! trans('claim::claim.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('claim/claim?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('claim/claim?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('claim/claim/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('claim::admin.claim.partial.actions')
                    -->
                    @include('claim::admin.claim.partial.filter')
                    @include('claim::admin.claim.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="claim-claim-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="claim-claim-check-all"></th>
                        <th data-field="business_id">{!! trans('claim::claim.label.business_id')!!}</th>
                    <th data-field="alias">{!! trans('claim::claim.label.alias')!!}</th>
                    <th data-field="name">{!! trans('claim::claim.label.name')!!}</th>
                    <th data-field="image_url">{!! trans('claim::claim.label.image_url')!!}</th>
                    <th data-field="is_claimed">{!! trans('claim::claim.label.is_claimed')!!}</th>
                    <th data-field="is_closed">{!! trans('claim::claim.label.is_closed')!!}</th>
                    <th data-field="url">{!! trans('claim::claim.label.url')!!}</th>
                    <th data-field="phone">{!! trans('claim::claim.label.phone')!!}</th>
                    <th data-field="display_phone">{!! trans('claim::claim.label.display_phone')!!}</th>
                    <th data-field="review_count">{!! trans('claim::claim.label.review_count')!!}</th>
                    <th data-field="categories">{!! trans('claim::claim.label.categories')!!}</th>
                    <th data-field="rating">{!! trans('claim::claim.label.rating')!!}</th>
                    <th data-field="location">{!! trans('claim::claim.label.location')!!}</th>
                    <th data-field="city">{!! trans('claim::claim.label.city')!!}</th>
                    <th data-field="latitude">{!! trans('claim::claim.label.latitude')!!}</th>
                    <th data-field="longitude">{!! trans('claim::claim.label.longitude')!!}</th>
                    <th data-field="coordinates">{!! trans('claim::claim.label.coordinates')!!}</th>
                    <th data-field="photos">{!! trans('claim::claim.label.photos')!!}</th>
                    <th data-field="hours">{!! trans('claim::claim.label.hours')!!}</th>
                    <th data-field="transactions">{!! trans('claim::claim.label.transactions')!!}</th>
                    <th data-field="messaging">{!! trans('claim::claim.label.messaging')!!}</th>
                    <th data-field="otp">{!! trans('claim::claim.label.otp')!!}</th>
                    <th data-field="otp_generated_time">{!! trans('claim::claim.label.otp_generated_time')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#claim-claim-entry', '{!!guard_url('claim/claim/0')!!}');
    oTable = $('#claim-claim-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('claim/claim') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'business_id'},
            {data :'alias'},
            {data :'name'},
            {data :'image_url'},
            {data :'is_claimed'},
            {data :'is_closed'},
            {data :'url'},
            {data :'phone'},
            {data :'display_phone'},
            {data :'review_count'},
            {data :'categories'},
            {data :'rating'},
            {data :'location'},
            {data :'city'},
            {data :'latitude'},
            {data :'longitude'},
            {data :'coordinates'},
            {data :'photos'},
            {data :'hours'},
            {data :'transactions'},
            {data :'messaging'},
            {data :'otp'},
            {data :'otp_generated_time'},
        ],
        "pageLength": 25
    });

    $('#claim-claim-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#claim-claim-list').DataTable().row( this ).data();
        $('#claim-claim-entry').load('{!!guard_url('claim/claim')!!}' + '/' + d.id);
    });

    $('#claim-claim-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#claim-claim-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#claim-claim-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#claim-claim-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>