<?php

// API routes  for claim
Route::prefix('{guard}/claim')->group(function () {
    Route::get('claim/form/{element}', 'ClaimAPIController@form');
    Route::resource('claim', 'ClaimAPIController');
});

// Public routes for claim
Route::get('claims/', 'ClaimPublicController@index');
Route::get('claims/{slug?}', 'ClaimPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for claims
            Route::prefix('{guard}/claim')->group(function () {
                Route::get('claim/form/{element}', 'ClaimAPIController@form');
                Route::apiResource('claim', 'ClaimAPIController');
            });
            // Public routes for claims
            Route::get('claim/Claim', 'ClaimPublicController@getClaim');
        }
    );
}

