<?php

// web routes  for claim
Route::prefix('{guard}/claim')->group(function () {
    Route::resource('claim', 'ClaimResourceController');
});

// Public routes for claim
Route::get('claims/', 'ClaimPublicController@index');
Route::get('claims/{slug?}', 'ClaimPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ClaimResourceController');
            });
            // Public routes for pages
            Route::get('claims/', 'ClaimPublicController@index');
            Route::get('claims/{slug?}', 'ClaimPublicController@show');
        }
    );
}

