<?php

namespace Buyesrfolio\Claim;

use User;

class Claim
{
    /**
     * $claim object.
     */
    protected $claim;

    /**
     * Constructor.
     */
    public function __construct(\Buyesrfolio\Claim\Interfaces\ClaimRepositoryInterface $claim)
    {
        $this->claim = $claim;
    }

    /**
     * Returns count of claim.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.claim.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->claim->pushCriteria(new \Litepie\Buyesrfolio\Repositories\Criteria\ClaimUserCriteria());
        }

        $claim = $this->claim->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('claim::' . $view, compact('claim'))->render();
    }
}
