<?php

namespace Buyesrfolio\Claim\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ClaimTransformer extends TransformerAbstract
{
    public function transform(\Buyesrfolio\Claim\Models\Claim $claim)
    {
        return [
            'id'                => $claim->getRouteKey(),
            'key'               => [
                'public'    => $claim->getPublicKey(),
                'route'     => $claim->getRouteKey(),
            ], 
            'business_id'       => $claim->business_id,
            'alias'             => $claim->alias,
            'name'              => $claim->name,
            'image_url'         => $claim->image_url,
            'is_claimed'        => $claim->is_claimed,
            'is_closed'         => $claim->is_closed,
            'url'               => $claim->url,
            'phone'             => $claim->phone,
            'display_phone'     => $claim->display_phone,
            'review_count'      => $claim->review_count,
            'categories'        => $claim->categories,
            'rating'            => $claim->rating,
            'location'          => $claim->location,
            'city'              => $claim->city,
            'latitude'          => $claim->latitude,
            'longitude'         => $claim->longitude,
            'coordinates'       => $claim->coordinates,
            'photos'            => $claim->photos,
            'hours'             => $claim->hours,
            'transactions'      => $claim->transactions,
            'messaging'         => $claim->messaging,
            'otp'               => $claim->otp,
            'otp_generated_time' => $claim->otp_generated_time,
            'deleted_at'        => $claim->deleted_at,
            'url'               => [
                'public'    => trans_url('claim/'.$claim->getPublicKey()),
                'user'      => guard_url('claim/claim/'.$claim->getRouteKey()),
            ], 
            'status'            => trans('app.'.$claim->status),
            'created_at'        => format_date($claim->created_at),
            'updated_at'        => format_date($claim->updated_at),
        ];
    }
}